import dotenv from "dotenv";
dotenv.config();

export const config = {
  BOT_TOKEN: process.env.BOT_TOKEN || "",
  ADMIN_BOT_TOKEN: process.env.ADMIN_BOT_TOKEN || "",
  ADMIN_CHAT_ID: process.env.ADMIN_CHAT_ID || "",
  CHANNEL_USERNAME: process.env.CHANNEL_USERNAME || "@jdtechnolody",
  GEMINI_API_KEY: process.env.GEMINI_API_KEY || "",
};

if (!config.BOT_TOKEN) throw new Error("BOT_TOKEN tidak ditemukan di .env");
if (!config.ADMIN_CHAT_ID) throw new Error("ADMIN_CHAT_ID tidak ditemukan di .env");
